Bug 1569007 - ValueError: plural forms expression could be dangerous
Summary: ValueError: plural forms expression could be dangerous
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-simpleline
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Konecny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 13:43 UTC by Nerijus Baliūnas
Modified: 2021-02-18 17:21 UTC (History)
1 user (show)

Fixed In Version: python-simpleline-1.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-18 17:21:15 UTC
Type: Bug


Attachments (Terms of Use)
patch (609 bytes, patch)
2019-05-02 20:03 UTC, Nerijus Baliūnas
no flags Details | Diff

Description Nerijus Baliūnas 2018-04-18 13:43:11 UTC
Please see bug 1334960 and bug 1364114.

There is a typo in python-simpleline/po/lt.po (Lithuanian translation):

"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n%100<10 or n%100>=20) 

should be ("or" is considered to be an identifier by gettext):

"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n%100<10 || n%100>=20)

Please fix Plural-Forms headers (s/or/||/).

Comment 1 Ben Cotton 2019-05-02 19:23:16 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Nerijus Baliūnas 2019-05-02 20:03:00 UTC
Created attachment 1561968 [details]
patch

Patch attached.

Comment 3 Ben Cotton 2019-05-02 21:54:52 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jiri Konecny 2019-05-13 08:40:09 UTC
Hello,

The patch can't be applied because those po files are generated during the zanata translation downloads. I think this should be fixed on the zanata side.

The only file which is in the code-base is the python-simpleline.pot, everything else is downloaded / generated on the tarball creation.

Comment 5 Nerijus Baliūnas 2019-05-13 08:58:41 UTC
I don't see where I can change it in web interface of zanata - https://fedora.zanata.org/webtrans/translate?project=python-simpleline&iteration=master&localeId=lt&locale=en-US&dswid=-8950. But I see that it was Last Translated by you, so you can probably change it?

Comment 6 Jiri Konecny 2019-05-13 09:41:26 UTC
Finally found a way how to solve this on Zanata. It looks you have to do that from the command line.

Will be solved on the next release.

Comment 7 Nerijus Baliūnas 2019-05-13 10:52:36 UTC
But if I download https://fedora.zanata.org/rest/file/translation/python-simpleline/master/lt/po?docId=python-simpleline I still get the file with "or" instead of "||".

Comment 8 Jiri Konecny 2019-05-13 13:40:53 UTC
Ohh, it seems it changed back somehow :(.

Comment 9 Jiri Konecny 2019-08-22 10:28:07 UTC
I've tried that again and it looks that the new version is working correctly now.

Comment 10 Jiri Konecny 2019-08-22 10:43:47 UTC
This bug starting to be my personal curse. :(

Nope, still not fixed.

Comment 11 Ben Cotton 2020-04-30 21:18:20 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Jiri Konecny 2020-06-15 14:46:27 UTC
Simpleline migrated from Zanata to Weblate so I hope this will now finally work:

https://github.com/rhinstaller/python-simpleline-l10n/pull/1

Comment 13 Jiri Konecny 2020-06-15 14:50:28 UTC
Ha finally Weblate is not sabotaging my changes. This is fixed and a new release will be soon.

Comment 14 Ben Cotton 2020-08-11 13:04:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.